Subject: Re: linux-next: manual merge of the ftrace tree with Linus' tree

From: Steven Rostedt <[email-masked]>
Date: Mon, 21 Oct 2024 22:22:36 -0400

On Mon, 21 Oct 2024 13:26:36 +1100
Stephen Rothwell <[email-masked]> wrote:

> Hi all,
> 
> Today's linux-next merge of the ftrace tree got a conflict in:
> 
>   kernel/trace/ring_buffer.c
> 
> between commit:
> 
>   09661f75e75c ("ring-buffer: Fix reader locking when changing the sub buffer order")
> 
> from Linus' tree and commit:
> 
>   1f1c2bc9d075 ("ring-buffer: Limit time with disabled interrupts in rb_check_pages()")
> 
> from the ftrace tree.
> 
> I fixed it up (see below) and can carry the fix as necessary. This
> is now fixed as far as linux-next is concerned, but any non trivial
> conflicts should be mentioned to your upstream maintainer when your tree
> is submitted for merging.  You may also want to consider cooperating
> with the maintainer of the conflicting tree to minimise any particularly
> complex conflicts.
> 

Thanks, but I screwed up my ring-buffer branch. I have a new one
tested, and I'll be rebasing it today.

-- Steve